Package org.eclipse.handly.xtext.ui.quickoutline

# Class HandlyXtextOutlinePopup

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.PopupDialog
org.eclipse.handly.ui.quickoutline.OutlinePopup
org.eclipse.handly.ui.quickoutline.FilteringOutlinePopup
org.eclipse.handly.ui.quickoutline.HandlyOutlinePopup
org.eclipse.handly.xtext.ui.quickoutline.HandlyXtextOutlinePopup

All Implemented Interfaces:
  `IContentAdapterProvider`, `org.eclipse.jface.window.IShellProvider`

public abstract class HandlyXtextOutlinePopup extends HandlyOutlinePopup
A partial implementation of Handly-based outline popup for Xtext editor.

Note that this class relies on the language-specific implementation of `IInputElementProvider` being available through injection.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.eclipse.handly.ui.quickoutline.FilteringOutlinePopup

  `FilteringOutlinePopup.ElementMatcher, FilteringOutlinePopup.FilteringOutlineTreeViewer, FilteringOutlinePopup.StringMatcher`

  ## Nested classes/interfaces inherited from class org.eclipse.handly.ui.quickoutline.OutlinePopup

  `OutlinePopup.OutlineTreeViewer`

  ## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

  `org.eclipse.jface.window.Window.IExceptionHandler`

- ## Field Summary

  ### Fields inherited from class org.eclipse.jface.dialogs.PopupDialog

  `HOVER_SHELLSTYLE, INFOPOPUP_SHELLSTYLE, INFOPOPUPRESIZE_SHELLSTYLE, POPUP_HORIZONTALSPACING, POPUP_IMG_MENU, POPUP_IMG_MENU_DISABLED, POPUP_MARGINHEIGHT, POPUP_MARGINWIDTH, POPUP_VERTICALSPACING`

  ### Fields inherited from class org.eclipse.jface.window.Window

  `CANCEL, OK, resizeHasOccurred`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HandlyXtextOutlinePopup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IInputElementProvider`
  `getInputElementProvider()`
  Returns the input element provider for this outline popup.
  `void`
  `setInputElementProvider(IInputElementProvider provider)`

  ### Methods inherited from class org.eclipse.handly.ui.quickoutline.HandlyOutlinePopup

  `computeInput, getContentAdapter, getCorrespondingElement, isInHost, revealInHost`

  ### Methods inherited from class org.eclipse.handly.ui.quickoutline.FilteringOutlinePopup

  `createFilterText, createPatternMatcher, createTitleControl, createTitleMenuArea, createTreeViewer, getFilterText, getFocalElement, getFocusControl, getPatternMatcher, init, patternMatcherUpdated, selectFirstMatch, setTabOrder, updatePatternMatcher`

  ### Methods inherited from class org.eclipse.handly.ui.quickoutline.OutlinePopup

  `changeOutlineMode, computeInitialSelection, createDialogArea, getContentProvider, getDefaultLocation, getDialogSettings, getHost, getInitialSelection, getInvokingKeyListener, getInvokingKeyStroke, getLabelProvider, getSelectedElement, getTreeViewer, gotoSelectedElement, initDecorationContext, isAutoExpandable, shouldUseHashlookup, updateInfoText`

  ### Methods inherited from class org.eclipse.jface.dialogs.PopupDialog

  `adjustBounds, applyBackgroundColor, applyForegroundColor, close, configureShell, createContents, createInfoTextArea, fillDialogMenu, getBackground, getBackgroundColorExclusions, getDefaultSize, getForeground, getForegroundColorExclusions, getInitialLocation, getInitialSize, getPersistLocation, getPersistSize, hasInfoArea, hasTitleArea, open, saveDialogBounds, setInfoText, setTitleText, showDialogMenu`

  ### Methods inherited from class org.eclipse.jface.window.Window

  `canHandleShellCloseEvent, constrainShellSize, create, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, initializeBounds, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HandlyXtextOutlinePopup

    public HandlyXtextOutlinePopup()

- ## Method Details

  - ### setInputElementProvider

    @Inject public void setInputElementProvider(IInputElementProvider provider)

  - ### getInputElementProvider

    protected IInputElementProvider getInputElementProvider()
    Description copied from class: `HandlyOutlinePopup`
    Returns the input element provider for this outline popup.
    Specified by:
      `getInputElementProvider` in class `HandlyOutlinePopup`
    Returns:
      the input element provider for this outline popup